Por qué el Raspberry Pi no es vulnerable a Meltdown y Spectre

Escrito por Rubén Velasco

Sin duda, 2018 no ha empezado con buen pie en cuanto a seguridad. La semana pasada hemos hablado de Meltdown y Spectre, dos graves fallos de seguridad que han afectado a prácticamente todos los procesadores Intel, AMD y ARM del mercado. Mientras que los fabricantes están preocupados por el fallo, y los grandes desarrolladores trabajan contrarreloj por lanzar el parche lo más rápido posible y con la menor repercusión para el usuario, algunos sacan pecho asegurando que sus dispositivos no son vulnerables a estos fallos de seguridad, como, por ejemplo, el Raspberry Pi.

Tal como nos cuentan los compañeros de AdslZone, el Raspberry Pi es uno de los pocos dispositivos que no se han visto afectados por las vulnerabilidades Meltdown y Spectre.

En el blog oficial de Raspberry Pi podemos encontrar un excelente artículo muy técnico donde los responsables de este mini-ordenador nos explican el por qué de Meltdown y Spectre y cómo un fallo en la arquitectura de los procesadores ha puesto en jaque la seguridad de todo el mundo. Lo más interesante de este artículo es por qué el Raspberry Pi no está afectado por esta vulnerabilidad.

Lo más nuevo no siempre es lo mejor, y en el caso del Raspberry Pi se demuestra de nuevo

Resumiendo el artículo del blog del Raspberry Pi, el principal motivo por el que este mini-ordenador no es vulnerable a estos fallos de seguridad es porque la CPU utilizada utiliza arquitecturas ARM antiguas que no cuentan con la ejecución especulativa, y, por lo tanto, no son vulnerables a estos fallos de seguridad.

La ausencia de la ejecución especulativa implica una pérdida de rendimiento en los procesadores, sin embargo, apostar por estos procesadores “antiguos” y mucho más baratos que los modernos ha resultado beneficioso en cuanto a la seguridad.

Otros procesadores invulnerables a Meltdown y Spectre

Tal como se explica en el anterior blog, todos los procesadores del tipo ARM11, ARM Cortex-A7 y ARM Cortex-A53 (64 bits) son seguros frente a estas vulnerabilidades al no contar con la ejecución especulativa. De esta manera, si tenemos otros mini-ordenador (como el Orange Pi) o cualquier otro dispositivo que utilice estas arquitecturas, estaremos protegidos frente a estas vulnerabilidades.

Además, si tenemos un procesador Intel anterior a 1995, o un AMD Ryzen, estaremos igualmente protegidos frente a estas vulnerabilidades.

¿Qué hacer si tengo un procesador ARM vulnerable a Meltdown y Spectre?

Aunque los 3 modelos de procesadores ARM anteriores no son vulnerables a estos fallos de seguridad, actualmente existen una gran variedad de procesadores que sí están afectados por estos fallos de seguridad, como, por ejemplo, los ARM Cortex R7, R8, A8, A9, A15, A57, A72, A73 y A75.

En el caso de utilizar un smartphone, una tablet o cualquier otro dispositivo vulnerable, entonces tendremos que tener mucho cuidado cuando utilicemos estos dispositivos, al menos hasta que el fabricante del mismo lance sus correspondientes parches de seguridad (para el firmware del dispositivo, o Android, o el software que utilice) que lo proteja, parches que debemos instalar cuanto antes.

¿Qué opinas de Meltdown y Spectre y de cómo han puesto en jaque la seguridad informática a nivel mundial?

Últimos análisis

Valoración RZ
10
Valoración RZ
8
Valoración RZ
9
Valoración RZ
8
Valoración RZ
10
Valoración RZ
8
Valoración RZ
10